RIGMEM(1)

NAME
rigmem - backup and restore memory of radio transceivers and receivers

SYNOPSIS
rigmem [-ahvVx] [-m id] [-r device] [-s baud] [-c id] [-C parm=val] [-p sep] command [file]

DESCRIPTION
Backup and restore memory of radio transceivers and receivers. rigmem accepts commands from the command line only.

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete radio support, the basic functions are usually well supported.

Please report bugs and provide feedback at the e-mail address given in the BUGS section below. Patches and code enhancements sent to the same address are welcome.

OPTIONS
This program follows the usual GNU command line syntax. Short options that take an argument may have the value follow immediately or be separated by a space. Long options starting with two dashes (‘-’) require an ‘=’ between the option and any argument.

Here is a summary of the supported options:

-m, --model=id
    Select radio model number.

    See model list (use “rigctl -l”).

-r, --rig-file=device
    Use device as the file name of the port connected to the radio.

    Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc. on Linux, COM1, COM2, etc. on MS Windows. The BSD flavors and Mac OS/X have their own designations. See your system's documentation.

-s, --serial-speed=baud
    Set radio serial speed to baud rate.

    Uses maximum serial speed from radio backend capabilities as the default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the radio.

    Only useful for Icom and some Ten-Tec radios.

    Note: The id is in decimal notation, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]
    Set radio configuration parameter(s), e.g. stop_bits=2.

    Use the -L option of rigctl for a list of configuration parameters for a given model number.

-p, --set-separator=sep
    Set character as column separator instead of the CSV comma.

    Some common alternatives are the vertical bar (pipe), ‘|’, semicolon, ‘;’, and colon, ‘:’.

-a, --all
    Bypass mem_caps, apply to all fields of channel_t.

-x, --xml
    Use XML format instead of CSV, if libxml2 is available.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show a summary of these options and exit.

-V, --version
    Show version of rigmem and exit.

Note: Some options may not be implemented by a given backend and will return an error. This is most likely to occur with the --set-conf option.

COMMANDS
Backup and restore are supported for basic CSV file and XML format where available.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a Hamlib error message.

Here is a summary of the supported commands:

save file
    Save all the content of memory in a CSV (or XML) file given as an argument to the command.

load file
    Load the content into all the memory from a CSV (or XML) file given as an argument to the command.

save_parm file
    Save all the parameters of the radio in a CSV (or XML) file given as an argument to the command.

load_parm file
    Load the parameters of the radio from a CSV (or XML) file given as an argument to the command.

clear
    This is a very DANGEROUS command, as it will completely clear out everything you have programmed in the memory of your radio. ALL DATA WILL BE LOST. Use at your own risk!

DIAGNOSTICS
The -v, --verbose option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the radio which is very useful for radio backend library development and may be requested by the developers.

EXIT STATUS
rigmem exits with:

0   if all operations completed normally;

1   if there was an invalid command line option or argument;

2   if an error was returned by Hamlib.

3   the Hamlib backend has no memory support implemented and/or the radio has no memory access available.

BUGS
Report bugs to:

    Hamlib Developer mailing list
    hamlib-developer@lists.sourceforge.net

COPYING
This file is part of Hamlib, a project to develop a library that simplifies radio, rotator, and amplifier control functions for developers of software primarily of interest to radio amateurs and those interested in radio communications.

Copyright © 2003-2011 Stephane Fillod
Copyright © 2007,2019-2020 Nate Bargmann

This is free software; see the file COPYING for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rigctl(1), hamlib(7)

COLOPHON
Links to the Hamlib Wiki, Git repository, release archives, and daily snapshot archives are available via hamlib.org (http://www.hamlib.org).